> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/cloud-onboarding/gcp-cloud-onboarding/quickstart-gcp/create-a-logging-sink-pubsub-for-the-topic.md).

# Create a Logging Sink Pub/Sub for the topic

Create a Cloud Logging Sink Pub/Sub Go to the Log Router page in the Google Cloud console. Select the project to create the sink in. If you are using an aggregated sink, you will want to select a fold

1. Go to the Log Router page in the Google Cloud console.

![](https://1075194167-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F7upncbzIm3grJePXaOO9%2Fuploads%2Fgit-blob-9d792e3e5b4d27520586bf670aa3aee73d3526f7%2F3acdc0535852db3b72c65f07d3c7dea0837e6a4214320b6e49b3c1391770c495.png?alt=media)

2. Select the project to create the sink in. If you are using an aggregated sink, you will want to select a folder or an organization instead.

![](https://1075194167-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F7upncbzIm3grJePXaOO9%2Fuploads%2Fgit-blob-98bdf021d940a71d7174a2f935f65d8686edf680%2Fdf66c97a0741705cd38679d696178c34e8295155b283e8b0f6fdc6bae707efc8.png?alt=media)

3. Click **Create sink**.

![](https://1075194167-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F7upncbzIm3grJePXaOO9%2Fuploads%2Fgit-blob-00df4b1d5cdf76f3cbe5fc57a4e0d27422269d37%2F257f3fcdf2274cc1a16ef092e23cb2ec70cf4a53590b182db7833faa03f54ba5.png?alt=media)

4. While walking through the wizard steps, Select **Cloud Pub/Sub topic** for your **Sink Destination Service** and choose the topic you created in a previous step.

![](https://1075194167-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F7upncbzIm3grJePXaOO9%2Fuploads%2Fgit-blob-ade2f1787343bdbd282edc1d710a11a1fe708a0f%2Fa71702f86881d706e3941cc3b7e997a1e121ac876329f23a6aaabbd4644d1f6b.png?alt=media)

Use the inclusion filter of `(resource.type="gce_subnetwork" AND log_id("compute.googleapis.com/ vpc_flows")) OR (resource.type="vpc_flow_logs_config" AND log_id("networkmanagement.googleapis.com/vpc_flows"))`

![](https://1075194167-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F7upncbzIm3grJePXaOO9%2Fuploads%2Fgit-blob-31379b39586d9365ca877a2c6d190ce58e1e6413%2F5238c267d546492f58b6881d0a8c6b572bca3d1692d5482d71729ff1c0d2e534.png?alt=media)

| Field                                  | Value                                                                           |
| -------------------------------------- | ------------------------------------------------------------------------------- |
| `Sink name`                            | Any value ( e.g. `neto-flowlogs-sink`)                                          |
| `Sink description`                     | Any value (e.g. Netography Fusion flow log ingest)                              |
| `Sink destination service type`        | `Cloud Pub/Sub topic`                                                           |
| `Sink destination Cloud Pub/Sub topic` | Create a topic or use topic created in previous step                            |
| `Inclusion filter`                     | `resource.type="gce_subnetwork" AND log_id("compute.googleapis.com/vpc_flows")` |

{% hint style="info" %}
If you are using org level configuration, you will need to make an agregated logging sink as well at the org level. Use the inclusion filter of `resource.type="vpc_flow_logs_config" AND log_id("networkmanagement.googleapis.com/vpc_flows")`
{% endhint %}

{% hint style="success" %}
**✅You're done!**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fusion.vectra.ai/cloud-onboarding/gcp-cloud-onboarding/quickstart-gcp/create-a-logging-sink-pubsub-for-the-topic.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
